ghc-7.6.3: The GHC API

Safe Haskell | None

Vectorise.Generic.PData

Description

Build instance tycons for the PData and PDatas type families.

TODO: the PData and PDatas cases are very similar. We should be able to factor out the common parts.

Synopsis

- buildPDataTyCon :: TyCon -> TyCon -> SumRepr -> VM FamInst
- buildPDatasTyCon :: TyCon -> TyCon -> SumRepr -> VM FamInst

# Documentation

buildPDataTyCon :: TyCon -> TyCon -> SumRepr -> VM FamInst

Build the PData instance tycon for a given type constructor.

buildPDatasTyCon :: TyCon -> TyCon -> SumRepr -> VM FamInst

Build the PDatas instance tycon for a given type constructor.